Appearance
Suggestions API
All URIs are relative to https://api.syntheticusers.com/api/v1
| Method | HTTP request | Description |
|---|---|---|
| create_suggestion | POST /suggestions | Create Suggestion |
| delete_suggestion | DELETE /suggestions/ | Delete Suggestion |
| execute_suggestion | POST /suggestions/{suggestion_id}/execute | Execute Suggestion |
| get_suggestion | GET /suggestions/ | Get Suggestion |
| list_suggestions | GET /suggestions | List Suggestions |
| regenerate_suggestion | POST /suggestions/{suggestion_id}/regenerate | Regenerate Suggestion |
| update_suggestion | PATCH /suggestions/ | Update Suggestion |
create_suggestion
Suggestion create_suggestion(suggestion_create)
Create Suggestion
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.suggestion import Suggestion
from syntheticusers.models.suggestion_create import SuggestionCreate
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.SuggestionsApi(api_client)
suggestion_create = syntheticusers.SuggestionCreate() # SuggestionCreate |
try:
# Create Suggestion
api_response = api_instance.create_suggestion(suggestion_create)
print("The response of SuggestionsApi->create_suggestion:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling SuggestionsApi->create_suggestion: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| suggestion_create | SuggestionCreate |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
delete_suggestion
object delete_suggestion(suggestion_id)
Delete Suggestion
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.SuggestionsApi(api_client)
suggestion_id = 'suggestion_id_example' # str |
try:
# Delete Suggestion
api_response = api_instance.delete_suggestion(suggestion_id)
print("The response of SuggestionsApi->delete_suggestion:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling SuggestionsApi->delete_suggestion: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| suggestion_id | str |
Return type
object
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
execute_suggestion
Suggestion execute_suggestion(suggestion_id)
Execute Suggestion
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.suggestion import Suggestion
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.SuggestionsApi(api_client)
suggestion_id = 'suggestion_id_example' # str |
try:
# Execute Suggestion
api_response = api_instance.execute_suggestion(suggestion_id)
print("The response of SuggestionsApi->execute_suggestion:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling SuggestionsApi->execute_suggestion: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| suggestion_id | str |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
get_suggestion
Suggestion get_suggestion(suggestion_id)
Get Suggestion
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.suggestion import Suggestion
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.SuggestionsApi(api_client)
suggestion_id = 'suggestion_id_example' # str |
try:
# Get Suggestion
api_response = api_instance.get_suggestion(suggestion_id)
print("The response of SuggestionsApi->get_suggestion:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling SuggestionsApi->get_suggestion: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| suggestion_id | str |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
list_suggestions
PageSuggestion list_suggestions(id=id, project_id=project_id, subplan_id=subplan_id, page=page, size=size)
List Suggestions
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.page_suggestion import PageSuggestion
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.SuggestionsApi(api_client)
id = 'id_example' # str | Comma-separated list of interviews IDs (optional)
project_id = 'project_id_example' # str | Comma-separated list of project IDs (optional)
subplan_id = 'subplan_id_example' # str | Comma-separated list of subplans IDs (optional)
page = 1 # int | Page number (optional) (default to 1)
size = 50 # int | Page size (optional) (default to 50)
try:
# List Suggestions
api_response = api_instance.list_suggestions(id=id, project_id=project_id, subplan_id=subplan_id, page=page, size=size)
print("The response of SuggestionsApi->list_suggestions:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling SuggestionsApi->list_suggestions: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | str | Comma-separated list of interviews IDs | [optional] |
| project_id | str | Comma-separated list of project IDs | [optional] |
| subplan_id | str | Comma-separated list of subplans IDs | [optional] |
| page | int | Page number | [optional] [default to 1] |
| size | int | Page size | [optional] [default to 50] |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
regenerate_suggestion
Suggestion regenerate_suggestion(suggestion_id)
Regenerate Suggestion
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.suggestion import Suggestion
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.SuggestionsApi(api_client)
suggestion_id = 'suggestion_id_example' # str |
try:
# Regenerate Suggestion
api_response = api_instance.regenerate_suggestion(suggestion_id)
print("The response of SuggestionsApi->regenerate_suggestion:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling SuggestionsApi->regenerate_suggestion: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| suggestion_id | str |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |
[Back to top] [Back to API list] [Back to SDK]
update_suggestion
Suggestion update_suggestion(suggestion_id, suggestion_update)
Update Suggestion
Example
- Bearer Authentication (HTTPBearer):
python
import syntheticusers
from syntheticusers.models.suggestion import Suggestion
from syntheticusers.models.suggestion_update import SuggestionUpdate
from syntheticusers.rest import ApiException
from pprint import pprint
# Defining the host is optional and defaults to https://api.syntheticusers.com/api/v1
# See configuration.py for a list of all supported configuration parameters.
configuration = syntheticusers.Configuration(
host = "https://api.syntheticusers.com/api/v1"
)
# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.
# Configure Bearer authorization: HTTPBearer
configuration = syntheticusers.Configuration(
access_token = os.environ["BEARER_TOKEN"]
)
# Enter a context with an instance of the API client
with syntheticusers.ApiClient(configuration) as api_client:
# Create an instance of the API class
api_instance = syntheticusers.SuggestionsApi(api_client)
suggestion_id = 'suggestion_id_example' # str |
suggestion_update = syntheticusers.SuggestionUpdate() # SuggestionUpdate |
try:
# Update Suggestion
api_response = api_instance.update_suggestion(suggestion_id, suggestion_update)
print("The response of SuggestionsApi->update_suggestion:\n")
pprint(api_response)
except Exception as e:
print("Exception when calling SuggestionsApi->update_suggestion: %s\n" % e)Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| suggestion_id | str | ||
| suggestion_update | SuggestionUpdate |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful Response | - |
| 422 | Validation Error | - |